Configure node version

Hi, is there a way to configure which Node version Vaadin installs if Node isn’t installed on the system? It seems the default was changed from 16 to 18 with Vaadin 23.3 but our build&deploy server doesn’t like Node 18… I’ve tried to find this in the documentation but couldn’t.

It’s not something you can configure. If you don’t like the version supplies by default, you have to supply your own (supported) version which Vaadin then uses

You can install Node globally on your computer and Vaadin will use that. If there is no Node preinstalled plugin will install a version known to be compatible in .vaadin folder and use that. Furthermore ypu can use requireHomeNodeExec system parameter to use .vaadin folder version even when there is globally installed node.

thanks guys